#!/usr/bin/env python
# needed to run the code as a script, (must make it executable: chmod +x namefile.py)

# Resize images from GM basis
# Parameters: reference size, number of Gaussians
# Example: resize_basis_gm.py 300 2


import sys
import PIL.Image
from lib import image
import math



def process_data(wref, ngauss):

    if image('basis_gaussiansmixture_0.png').size[0] < wref:
        for k in range(0, ngauss):    
            #resize basis image
            img = image('basis_gaussiansmixture_'+str(k)+'.png')
            (dx, dy) = img.size
            factorZ=int(math.ceil(float(wref)/float(dx)))
            dx=dx*factorZ
            dy=dy*factorZ
            img.resize((dx, dy), method="pixeldup")
            img.save('basis_gaussiansmixture_'+str(k)+'.png')
            #average patch
            img=image('basis_gaussiansmixture_'+str(k)+'_mean.png')
            (dx, dy) = img.size
            dx=dx*factorZ
            dy=dy*factorZ
            img.resize((dx, dy), method="pixeldup")
            img.save('basis_gaussiansmixture_'+str(k)+'_mean.png')
            #simulated patches
            img=image('patchesSim_gaussiansmixture_'+str(k)+'.png')
            (dx, dy) = img.size
            dx=dx*factorZ
            dy=dy*factorZ
            img.resize((dx, dy), method="pixeldup")
            img.save('patchesSim_gaussiansmixture_'+str(k)+'.png')
    
        


if __name__ == "__main__":
    argc = len(sys.argv)
    if argc <= 1:
#        print "Usage: resize_basis_gm wref ngauss" #python 2 format
        print('Usage: resize_basis_gm wref ngauss')
        sys.exit(0)

    wref = int(sys.argv[1])
    ngauss = int(sys.argv[2])

    process_data(wref, ngauss)

    


