#!/usr/bin/env python
# needed to run the code as a script, (must make it executable: chmod +x namefile.py)

# Resize images from PCA basis
# Parameters: reference size
# Example: resize_basis_pca.py 300


import sys
import PIL.Image
from lib import image
import math



def process_data(wref):

    if image('basis_pca.png').size[0] < wref:
        #resize basis image
        img = image('basis_pca.png')
        (dx, dy) = img.size
        factorZ=int(math.ceil(float(wref)/float(dx)))
        dx=dx*factorZ
        dy=dy*factorZ
        img.resize((dx, dy), method="pixeldup")
        img.save('basis_pca.png')
        #average patch
        img=image('basis_pca_mean.png')
        (dx, dy) = img.size
        dx=dx*factorZ
        dy=dy*factorZ
        img.resize((dx, dy), method="pixeldup")
        img.save('basis_pca_mean.png')
        #simulated patches
        img=image('patchesSim_pca.png')
        (dx, dy) = img.size
        dx=dx*factorZ
        dy=dy*factorZ
        img.resize((dx, dy), method="pixeldup")
        img.save('patchesSim_pca.png')
    
        


if __name__ == "__main__":
    argc = len(sys.argv)
    if argc <= 1:
#        print "Usage: resize_basis_pca wref" #python 2 format
        print('Usage: resize_basis_pca wref')
        sys.exit(0)

    wref = int(sys.argv[1])

    process_data(wref)

    


