#!/usr/bin/env python
# needed to run the code as a script, (must make it executable: chmod +x namefile.py)

# Resize image by pixel duplication and save with same name
# Parameters: input image name, resize factor (> 1)
# Example: resizeimage.py ~/Downloads/alley.png 2


import sys
import PIL.Image
from lib import image



def process_input(namein, resizefactor):

        img = image(namein)
        img.resize(float(resizefactor), method="pixeldup")        
        img.save(namein)


if __name__ == "__main__":
    argc = len(sys.argv)
    if argc <= 1:
#        print "Usage: resizeimage input resizefactor" #python 2 format
        print('Usage: resizeimage input resizefactor')
        sys.exit(0)

    namein = sys.argv[1]
    resizefactor = int(sys.argv[2])

    process_input(namein, resizefactor)

    


