#!/bin/sh
set -e

# Get projections of the patches into 3 of the components of the PCA 
# of the patches

echo "script_3dprojections"
echo "Parameters:"
echo "pca1="$1 " pca2="$2 " pca3="$3

#Example:
# script_3dprojections.sh 1 2 3

pca1=$1
pca2=$2
pca3=$3

#Resize basis images, if they are small
#width must be at least 300 pixels
wref=300

#STEP 5. Get 3D projections of patches

#Gaussian Mixture using PCA
patches_3dprojs patchesClosest.dat basis_pca.dat basis_gaussiansmixture.dat \
                views -a $pca1 -b $pca2 -c $pca3 -s $wref 


#get histograms of projections 
projections_histograms.py 
       





