#!/bin/sh
set -e

# Crop input image and extract patches from selected subwindow
# convert image to graylevel if flag is active 

echo "script_extract"
echo "Parameters:"
echo "input="$1
echo "x0="$2 " y0="$3 " size="$4 " usegray="$5 " spatch="$6 " extraction="$7 
echo "norm. orientation="$8 " norm. mean="$9 " norm. variance="${10}

#Example:
# script_extract.sh /home/joseluis/Downloads/alley.png 200 200 100 0 8 random 1 0 0


#STEP 1. Process input image and get subwindow centered at selected pixel

input=$1
x0=$2
y0=$3
winsize=$4
usegray=$5
resizefactor=5

getinput.py $input $x0 $y0 $winsize $usegray $resizefactor input_0_sel.png \
            input_0_Disp.png > pointcoord.txt 


#STEP 2. Extract all patches in selected subwindow

spatch=$6
npatchesMax=-1
extraction=$7
orient=$8
normMean=$9
normVar=${10}
interpolation=spline

patches_extract input_0_sel.png patches -c $extraction -w $spatch \
                -i $interpolation -o $orient -m $normMean -v $normVar \
                -x $npatchesMax





